Subject: Re: bug#3410: tar mode fails to open many valid files

From: Paul Pogonyshev <[email-masked]>
Date: Thu, 4 Jun 2009 11:32:25 +0300

Stefan Monnier wrote:
> >> > http://apache.promotionalpro.com/poi/dev/bin/poi-bin-3.5-beta5-20090219.tar.gz
> >> 
> >> > exhibits this error.
> >> 
> >> It opens just fine for me.  Are you using Emacs-22 rather than the
> >> pretest, by any chance?
> 
> > No, M-x version reports GNU Emacs 23.0.94.1 (i686-pc-linux-gnu, GTK+
> > Version 2.14.4).  Just checked, I get the error also with 'emacs -q'.
> 
> I cannot reproduce it with "emacs -Q
> ~/tmp/poi-bin-3.5-beta5-20090219.tar.gz" (on amd64 with Gtk as well).
> Other than the "-Q" vs "-q" (i.e. if you have some site-start.el or
> default.el that could interfere)

I tried with 'emacs -Q' and get the same result:

File poi-bin-3.5-beta5-20090219.tar.gz is large (19MB), really open? (y or n) 
uncompressing poi-bin-3.5-beta5-20090219.tar.gz...done
Parsing tar file...
File mode specification error: (error "ntWorkbookBuilder.SheetRecordCollectingListener.html\" title=\"class in org.apache.poi.hssf.eventuserm has size -137265917 - corrupted")

> I can't think of anything that could explain the difference.

The only difference can I see is CPU architecture: you have amd64, but
I have a 32-bit system.

Paul